nxt.blockchain

## Interface ChildTransaction.Builder

- All Superinterfaces:
    Transaction.Builder
  All Known Implementing Classes:
    ChildTransactionImpl.BuilderImpl
  Enclosing interface:
    ChildTransaction

      public static interface ChildTransaction.Builder
      extends Transaction.Builder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChildTransaction` | `build()`
    `ChildTransaction` | `build(java.lang.String secretPhrase)`
    `ChildTransaction` | `build(java.lang.String secretPhrase, boolean isVoucher)`
    `ChildTransaction.Builder` | `feeRateNQTPerFXT(long feeRateNQTPerFXT)`
    `ChildTransaction.Builder` | `referencedTransaction(ChainTransactionId referencedTransaction)`

    - ### Methods inherited from interface nxt.blockchain.Transaction.Builder

      `appendix, ecBlockHeight, ecBlockId, recipientId, timestamp`

- - ### Method Detail

    - #### referencedTransaction

          ChildTransaction.Builder referencedTransaction(ChainTransactionId referencedTransaction)

    - #### feeRateNQTPerFXT

          ChildTransaction.Builder feeRateNQTPerFXT(long feeRateNQTPerFXT)

    - #### build

          ChildTransaction build()
                          throws NxtException.NotValidException

      Specified by:
        `build` in interface `Transaction.Builder`
      Throws:
        `NxtException.NotValidException`

    - #### build

          ChildTransaction build(java.lang.String secretPhrase)
                          throws NxtException.NotValidException

      Specified by:
        `build` in interface `Transaction.Builder`
      Throws:
        `NxtException.NotValidException`

    - #### build

          ChildTransaction build(java.lang.String secretPhrase,
                                 boolean isVoucher)
                          throws NxtException.NotValidException

      Specified by:
        `build` in interface `Transaction.Builder`
      Throws:
        `NxtException.NotValidException`